#!/usr/bin/python    
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# 2013 Karsten Schoeke karsten.schoeke@geobasis-bb.de

group = "checkparams"

subgroup_networking =   _("Networking")

register_check_parameters(
    subgroup_networking,
    "lvs",
    _("LVS Connection levels"),
    Dictionary(
        elements = [
            ( "active",
                Tuple(
                    title = _("level for active Connection count"),
                    help = _("Put here the levels for active connections on LVS LB. Please use the \"Name of the VIP\" Option on Conditions Box."),           
                    elements = [
                        Integer(title = _("Warning at")),
                        Integer(title = _("Critical at")),
                    ]
                ),
            ),
            ( "inactive",
                Tuple(
                    title = _("level for inactive Connection count"),
                    help = _("Put here the levels for inactive connections on LVS LB. Please use the \"Name of the VIP\" Option on Conditions Box."),           
                    elements = [
                        Integer(title = _("Warning at")),
                        Integer(title = _("Critical at")),
                    ]
                ),
            ),
        ]),
    TextAscii(
        title = _("Name of the VIP"),
        help = _("The name of the virtual LB node"),
        allow_empty = False,
    ),
    "dict"
)
